Subject: bug#5463: Fringe / scroll-bar weirdness and redisplay troubles

From: Óscar Fuentes <[email-masked]>
Date: Sun, 24 Jan 2010 15:36:18 +0100

Juanma Barranquero <[email-masked]> writes:

> Some problems with fringe width, and also frame redisplay after moving
> the scrollbars. This happens on Windows, with "GNU Emacs 23.1.91.1
> (i386-mingw-nt6.1.7600) of 2010-01-24 on ODIEONE".
>
> In the following captures, I've used
>
>    emacs -Q --eval "(set-face-background 'fringe \"gray60\")"
>
> to make the fringe more visible.
>
> Problems:
>
>  - Right at the start, the fringes aren't the same width (see
> bug1.png). However, (window-fringes) => (8 8 nil)
>
>  - After "Options / Show-Hide / Scroll-bar / On the Left", I see
> bug2.png. The scroll bar has moved, and the fringes have switched
> width.
>
>  - Now, after "Options / Show-Hide / Scroll-bar / On the Right", I see
> bug3.png. You can see the left side has not been properly drawn. In
> fact, if I put the cursor somewhere in the buffer, Emacs redraws the
> character that is really underneath (that's what causes the weird
> "ownfbuf er" in the buffer's text).
>
> Does this happens in non-Windows builds?

No in GNU Emacs 23.1.91.3 (x86_64-unknown-linux-gnu, X toolkit) of
2010-01-19 --with-x-toolkit=athena --without-toolkit-scroll-bars

(with this configuration, the scrollbar appears on the left by default,
so I replaced left/right in your recipe)